<?php
/**
 *
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Ebizmarts\MageMonkey\Controller\Adminhtml\Subscriber;

class massSendMailchimp extends \Magento\Backend\App\Action
{
    protected $_helperMailChimp;
    
    public function __construct(Context $context, \Ebizmarts\MageMonkey\Helper\Import $helperMailchimp)
    {
        $this->_helperMailChimp = $helperMailchimp;
        parent::__construct($context);
    }

    
    public function execute()
    {
        $subscribersIds = $this->getRequest()->getParam('subscriber');

        if (!is_array($subscribersIds)) {
            $this->messageManager->addError(__('Please select one or more subscribers.'));
        } else {
            try {
                $updated = $this->_helperMailChimp->sendToMailchimp($subscribersIds);
                $this->messageManager->addSuccess(__('A total of %1 record(s) were updated/sent to mailchimp.', $updated));
            } catch (\Exception $e) {
                $this->messageManager->addError($e->getMessage());
            }
        }

        $this->_redirect('newsletter/subscriber/index');
    }
}
